package de.hft.stuttgart.citydoctor2.gui.tree;

import java.util.List;

import de.hft.stuttgart.citydoctor2.datastructure.Vegetation;
import de.hft.stuttgart.citydoctor2.gui.Renderer;

public class AllVegetationNode extends Renderable {
	
	private List<Vegetation> vegetation;
	
	public AllVegetationNode(List<Vegetation> vegetation) {
		this.vegetation = vegetation;
	}

	@Override
	public void refreshTextColor() {
		// no use
	}

	@Override
	public String getText() {
		return "Vegetation";
	}

	@Override
	public void visit(Renderer renderer) {
		renderer.renderVegetation(vegetation);
	}

}
